import React from 'react';
import purebem from 'purebem';
import './FoundationTableCaption.scss';
export default function FoundationTableCaption(_ref) {
  var _ref$subTitle = _ref.subTitle,
      subTitle = _ref$subTitle === void 0 ? '' : _ref$subTitle,
      _ref$title = _ref.title,
      title = _ref$title === void 0 ? '' : _ref$title;

  if (title === '' && subTitle === '') {
    return null;
  }

  var block = purebem('foundation-table-caption');
  return React.createElement("caption", {
    className: block()
  }, title !== '' ? React.createElement("div", {
    className: block('title')
  }, title) : null, subTitle !== '' ? React.createElement("div", {
    className: block('sub-title')
  }, subTitle) : null);
}
//# sourceMappingURL=FoundationTableCaption.js.map