# Change Log

All notable changes to this project will be documented in this file.
See [Conventional Commits](https://conventionalcommits.org) for commit guidelines.

## [1.0.1](https://github.com/billogram/frontend-foundation/compare/dbf5a8709119374207dd2d28f6ffeffac17d5871...@billogram/foundation-table@1.0.1) (2020-01-20)

### Bug Fixes

* Favor named exports for components ([5a5dc5c0](https://github.com/billogram/frontend-foundation/commit/5a5dc5c0))
* Export props ([06802c25](https://github.com/billogram/frontend-foundation/commit/06802c25))
* Rename button, error, spinner, and textbox packages ([bf794373](https://github.com/billogram/frontend-foundation/commit/bf794373))
* Move react-router to peer dependencies ([8695cf5d](https://github.com/billogram/frontend-foundation/commit/8695cf5d))
* Prefer record type ([78ef5921](https://github.com/billogram/frontend-foundation/commit/78ef5921))
* Prefer interface to type alias ([a9343e5b](https://github.com/billogram/frontend-foundation/commit/a9343e5b))
* Use dependencies instead of peer dependencies ([a1cbff4b](https://github.com/billogram/frontend-foundation/commit/a1cbff4b))


### Features

* Add typed contexts ([2c4b571d](https://github.com/billogram/frontend-foundation/commit/2c4b571d))
* Implement list data provider ([4c348b08](https://github.com/billogram/frontend-foundation/commit/4c348b08))
* Support additional table data ([68e7bf10](https://github.com/billogram/frontend-foundation/commit/68e7bf10))
* Implement FoundationTable ([b2a58d69](https://github.com/billogram/frontend-foundation/commit/b2a58d69))
* Scaffold out @billogram/foundation-table ([b46c18bb](https://github.com/billogram/frontend-foundation/commit/b46c18bb))


### BREAKING CHANGES

* Force the first release to start from 1.0.0.



## [1.0.0](https://github.com/billogram/frontend-foundation/compare/dbf5a8709119374207dd2d28f6ffeffac17d5871...@billogram/foundation-table@1.0.0) (2020-01-20)

### Bug Fixes

* Favor named exports for components ([5a5dc5c0](https://github.com/billogram/frontend-foundation/commit/5a5dc5c0))
* Export props ([06802c25](https://github.com/billogram/frontend-foundation/commit/06802c25))
* Rename button, error, spinner, and textbox packages ([bf794373](https://github.com/billogram/frontend-foundation/commit/bf794373))
* Move react-router to peer dependencies ([8695cf5d](https://github.com/billogram/frontend-foundation/commit/8695cf5d))
* Prefer record type ([78ef5921](https://github.com/billogram/frontend-foundation/commit/78ef5921))
* Prefer interface to type alias ([a9343e5b](https://github.com/billogram/frontend-foundation/commit/a9343e5b))
* Use dependencies instead of peer dependencies ([a1cbff4b](https://github.com/billogram/frontend-foundation/commit/a1cbff4b))


### Features

* Add typed contexts ([2c4b571d](https://github.com/billogram/frontend-foundation/commit/2c4b571d))
* Implement list data provider ([4c348b08](https://github.com/billogram/frontend-foundation/commit/4c348b08))
* Support additional table data ([68e7bf10](https://github.com/billogram/frontend-foundation/commit/68e7bf10))
* Implement FoundationTable ([b2a58d69](https://github.com/billogram/frontend-foundation/commit/b2a58d69))
* Scaffold out @billogram/foundation-table ([b46c18bb](https://github.com/billogram/frontend-foundation/commit/b46c18bb))


### BREAKING CHANGES

* Force the first release to start from 1.0.0.
